For the complete documentation index, see llms.txt. This page is also available as Markdown.

Buyers

Get customer count

get
/admin-customer/customer-count

This endpoint retrieves the total count of customers.

Responses
200

Successfully got the buyer count

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got the buyer Count
get/admin-customer/customer-count
GET /backend/api/admin-customer/customer-count HTTP/1.1
Host: 139.59.67.17
Accept: */*
200

Successfully got the buyer count

{
  "status": 1,
  "message": "Successfully got the buyer Count"
}

Get customer list

get
/admin-customer

This endpoint retrieves the list of customers with optional filters such as customer group, date, email, and name.

Query parameters
customerGroupstringOptional

Filter by customer group

datestring · dateOptional

Filter by date

keywordstringOptional

Search by keyword

emailstringOptional

Filter by email address

namestringOptional

Filter by customer name

limitintegerOptional

Limit the number of results

offsetintegerOptional

Offset for pagination

countintegerOptional

Indicates if only count is returned (1 for count, 0 for list)

statusstringOptional

Filter by customer status

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully got the customer list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got Customer list.
get/admin-customer
GET /backend/api/admin-customer HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully got the customer list

{
  "status": 1,
  "message": "Successfully got Customer list."
}

Create a new customer

post
/admin-customer

This endpoint allows the creation of a new customer with the provided details.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
customerGroupIdintegerRequiredExample: 75
usernamestringRequiredExample: test
emailstringRequiredExample: test@gmail.com
mobileNumberstringRequiredExample: 4364536456
passwordstringRequiredExample: Picco123@
confirmPasswordstringRequiredExample: Picco123@
avatarstringOptional
newsletterstringOptional
mailStatusintegerOptionalExample: 0
statusstringRequiredExample: 1
siteIdintegerRequiredExample: 2
Responses
200

Successfully created a new customer

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Buyer created successfully
post/admin-customer
POST /backend/api/admin-customer HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 213

{
  "customerGroupId": 75,
  "username": "test",
  "email": "test@gmail.com",
  "mobileNumber": "4364536456",
  "password": "Picco123@",
  "confirmPassword": "Picco123@",
  "avatar": "",
  "newsletter": "",
  "mailStatus": 0,
  "status": "1",
  "siteId": 2
}
200

Successfully created a new customer

{
  "status": 1,
  "message": "Buyer created successfully"
}

Get customer group list

get
/customer-group

This endpoint retrieves the list of customer groups with optional filters such as keyword, limit, and offset.

Query parameters
limitintegerOptional

Limit the number of results

offsetintegerOptional

Offset for pagination

keywordstringOptional

Search by keyword

countintegerOptional

Indicates if only count is returned (1 for count, 0 for list)

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully got all customer group list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got all customer group List
get/customer-group
GET /backend/api/customer-group HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully got all customer group list

{
  "status": 1,
  "message": "Successfully got all customer group List"
}

Get system settings

get
/settings

This endpoint retrieves the current system settings.

Responses
200

Successfully retrieved settings

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got settings
get/settings
GET /backend/api/settings HTTP/1.1
Host: 139.59.67.17
Accept: */*
200

Successfully retrieved settings

{
  "status": 1,
  "message": "Successfully got settings"
}

Get customer details

get
/admin-customer/customer-detail/{id}

Retrieves the details of a specific customer by their ID

Path parameters
idintegerRequired

ID of the customer

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved customer details

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got buyer details
get/admin-customer/customer-detail/{id}
GET /backend/api/admin-customer/customer-detail/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got buyer details"
}

Update a customer

put
/admin-customer/{id}

Updates the details of a specific customer

Path parameters
idintegerRequired

ID of the customer

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
customerGroupIdintegerOptional
usernamestringOptional
emailstringOptional
mobileNumberstringOptional
passwordstringOptional
confirmPasswordstringOptional
avatarstringOptional
newsletterstringOptional
mailStatusintegerOptional
statusstringOptional
siteIdintegerOptional
customerIdstringOptional
Responses
200

Successfully updated the customer

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Buyer updated successfully
put/admin-customer/{id}
PUT /backend/api/admin-customer/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 217

{
  "customerGroupId": 1,
  "username": "text",
  "email": "text",
  "mobileNumber": "text",
  "password": "text",
  "confirmPassword": "text",
  "avatar": "text",
  "newsletter": "text",
  "mailStatus": 1,
  "status": "text",
  "siteId": 1,
  "customerId": "text"
}
{
  "status": 1,
  "message": "Buyer updated successfully"
}

Last updated